Debian Bug report logs - #209336
dialog: inputmenu box returns incorrect RENAMED string

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Edwin Thaler <thaler@ee.ethz.ch>

Date: Tue, 9 Sep 2003 11:48:01 UTC

Severity: normal

Found in version 0.9b-20030830

Fixed in version dialog/0.9b-20030910-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#209336; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Edwin Thaler <thaler@ee.ethz.ch>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Edwin Thaler <thaler@ee.ethz.ch>
To: submit@bugs.debian.org
Subject: dialog: inputmenu box returns incorrect RENAMED string
Date: Tue, 9 Sep 2003 13:33:51 +0200 (MEST)
Package: dialog
Version: 0.9b-20030830

dialog's inputmenu box returns incorrect RENAMED result string:

dialog  --inputmenu InputMenuTest 15 40 10 tag1 1000 tag2 2000 tag3 3000 tag4 4000 tag5 5000 tag6 6000

returns (pressing Rename and selecting tag3 after stepping down to
tag4):

tag3RENAMED tag2 3000

error 1 : "tag3" before RENAMED differ from documentation
error 2 : "tag2" should be "tag3"

Edwin Thaler




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#209336; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 209336@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 209336@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=209336
Date: Wed, 10 Sep 2003 19:28:29 -0400
>                       Debian Bug report logs - #209336
>            dialog: inputmenu box returns incorrect RENAMED string

I fixed this in tonight's snapshot (dialog-0.9b-20030910).
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Edwin Thaler <thaler@ee.ethz.ch>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 209336-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 209336-close@bugs.debian.org
Subject: Bug#209336: fixed in dialog 0.9b-20030910-1
Date: Thu, 11 Sep 2003 05:47:08 -0400
Source: dialog
Source-Version: 0.9b-20030910-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20030910-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20030910-1.diff.gz
dialog_0.9b-20030910-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20030910-1.dsc
dialog_0.9b-20030910-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20030910-1_i386.deb
dialog_0.9b-20030910.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20030910.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 209336@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 11 Sep 2003 11:31:14 +0200
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20030910-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 195674 209336
Changes: 
 dialog (0.9b-20030910-1) unstable; urgency=low
 .
   * New upstream release.
   * Support for multibyte characters should now be complete (Closes: #195674).
   * Fixed "RENAMED" result from inputmenu widget (Closes: #209336).
Files: 
 fba7286d5d0f6147b6f7bb3e7dca812b 596 misc optional dialog_0.9b-20030910-1.dsc
 b2cbe9eaaa8e355e8c14b958c4089e4e 235404 misc optional dialog_0.9b-20030910.orig.tar.gz
 a0c060221d605a042f3462264683cbb7 6535 misc optional dialog_0.9b-20030910-1.diff.gz
 1f97d8c951ef2a864ba1b00199aca5ba 142588 misc optional dialog_0.9b-20030910-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/YEH0d9Uuvj7yPNYRAnzsAJ95XigZd5aP6lBZtX9An4PeLYD7tACglC5a
WRC7RfZN5xCbXtfZWiykIRI=
=deNP
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:44:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.